KDE 4.7 PyKDE API Reference

- KDE's Python API

# KUrlCompletion Class Reference

`from PyKDE4.kio import *`

Inherits: KCompletion → QObject

## Detailed Description

This class does completion of URLs including user directories (~user) and environment variables. Remote URLs are passed to KIO.

Completion of a single URL

Author:
  David Smith <dsmith@algonet.se>

## Enumerations
Mode | { ExeCompletion, FileCompletion, DirCompletion }
## Methods
| __init__ (self)
| __init__ (self, KUrlCompletion.Mode a0)
| customEvent (self, QEvent e)
QString | dir (self)
bool | isRunning (self)
QString | makeCompletion (self, QString text)
KUrlCompletion.Mode | mode (self)
| postProcessMatch (self, QString match)
| postProcessMatches (self, QStringList matches)
bool | replaceEnv (self)
bool | replaceHome (self)
QString | replacedPath (self, QString text)
| setDir (self, QString dir)
| setMode (self, KUrlCompletion.Mode mode)
| setReplaceEnv (self, bool replace)
| setReplaceHome (self, bool replace)
| stop (self)
## Static Methods
QString | replacedPath (QString text, bool replaceHome, bool replaceEnv=1)

## Method Documentation

__init__ | ( |  | self ) |

This overloaded constructor allows you to set the Mode to ExeCompletion or FileCompletion without using setMode. Default is FileCompletion.

__init__ | ( | self, |
|  | KUrlCompletion.Mode | a0
| ) |  |  |

This overloaded constructor allows you to set the Mode to ExeCompletion or FileCompletion without using setMode. Default is FileCompletion.

customEvent | ( | self, |
|  | QEvent | e
| ) |  |  |

QString dir | ( |  | self ) |

Returns the current directory, as it was given in setDir

Returns:
  the current directory (path or URL)

bool isRunning | ( |  | self ) |

Check whether asynchronous completion is in progress.

Returns:
  true if asynchronous completion is in progress

QString makeCompletion | ( | self, |
|  | QString | text
| ) |  |  |

Finds completions to the given text.

Remote URLs are listed with KIO. For performance reasons, local files are listed with KIO only if KURLCOMPLETION_LOCAL_KIO is set. The completion is done asyncronously if KIO is used.

Returns the first match for user, environment, and local dir completion and QString() for asynchronous completion (KIO or threaded).

Parameters:

  | text | the text to complete

Returns:
  the first match, or QString() if not found

KUrlCompletion.Mode mode | ( |  | self ) |

Returns the completion mode: exe or file completion (default FileCompletion).

Returns:
  the completion mode

postProcessMatch | ( | self, |
|  | QString | match
| ) |  |  |

postProcessMatches | ( | self, |
|  | QStringList | matches
| ) |  |  |

bool replaceEnv | ( |  | self ) |

Checks whether environment variables are completed and whether they are replaced internally while finding completions. Default is enabled.

Returns:
  true if environment vvariables will be replaced

bool replaceHome | ( |  | self ) |

Returns whether ~username is completed and whether ~username is replaced internally with the user's home directory while finding completions. Default is enabled.

Returns:
  true to replace tilde with the home directory

QString replacedPath | ( | self, |
|  | QString | text
| ) |  |  |

Internal:
  I'll let ossi add a real one to KShell :)

setDir | ( | self, |
|  | QString | dir
| ) |  |  |

Sets the current directory (used as base for completion). Default = $HOME.

Parameters:

  | dir | the current directory, either as a path or URL

setMode | ( | self, |
|  | KUrlCompletion.Mode | mode
| ) |  |  |

Changes the completion mode: exe or file completion

Parameters:

  | mode | the new completion mode

setReplaceEnv | ( | self, |
|  | bool | replace
| ) |  |  |

Enables/disables completion and replacement (internally) of environment variables in URLs. Default is enabled.

Parameters:

  | replace | true to replace environment variables

setReplaceHome | ( | self, |
|  | bool | replace
| ) |  |  |

Enables/disables completion of ~username and replacement (internally) of ~username with the user's home directory. Default is enabled.

Parameters:

  | replace | true to replace tilde with the home directory

stop | ( |  | self ) |

Stops asynchronous completion.

## Static Method Documentation

QString replacedPath | ( | QString | text,
|  | bool | replaceHome,
|  | bool | replaceEnv=1
| ) |  |  |

Internal:
  I'll let ossi add a real one to KShell :)

## Enumeration Documentation

Mode

Determines how completion is done.

- ExeCompletion - executables in $PATH or with full path.
- FileCompletion - all files with full path or in dir(), URLs
are listed using KIO.
- DirCompletion - Same as FileCompletion but only returns directories.

Enumerator:

  Reading |
  Writing |